This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 511154 - Please enable DRI support in radeonhd
Please enable DRI support in radeonhd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 18:31 EDT by Ian Pilcher
Modified: 2009-07-28 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.5-2.10.20090714git.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 14:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2009-07-13 18:31:33 EDT
Description of problem:
radeonhd built without DRI support

Version-Release number of selected component (if applicable):
xorg-x11-drv-radeonhd-1.2.5-2.8.20090411git.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  Create xorg.conf that uses radeonhd and EXA 2D acceleration
2.  Note that performance sucks
3.  Note message in Xorg.0.log that DRI support was disabled at compile time
  
Actual results:
No DRI support; very poor EXA performance

Expected results:
DRI; decent EXA performance

Additional info:
I edited the SPEC file and added --enable-dri --enable-exa (not sure if the
second one is necessary) to the configure command.  RPM rebuilt just fine and
I once again have decent performance.
Comment 1 Fedora Update System 2009-07-17 14:15:41 EDT
xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11
Comment 2 Fedora Update System 2009-07-22 18:08:15 EDT
xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-radeonhd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7921
Comment 3 Ian Pilcher 2009-07-27 10:01:52 EDT
xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11 looks good.  Thanks!
Comment 4 Fedora Update System 2009-07-28 14:29:03 EDT
xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.